/* =========================
   RESET
========================= */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: #ffffff;
    color: #777575;
    font-family: 'Inter', sans-serif;
    padding-bottom: 68px;
    position: relative;
}

img {
    max-width: 100%;
    display: block;
}

a {
    text-decoration: none;
}

section {
    width: 90vw;
    margin: 0 auto 80px;
}

/* =========================
   COMMON
========================= */

.wrap {
    padding: 0 10px;
}

.center-btn {
    width: fit-content;
    margin: 50px auto 0;
    text-align: center;
}

.section-title {
    display: flex;
    justify-content: center;
    align-items: center;

    height: 47px;
    margin: 0 auto 30px;

    background: #8ecfce;
    color: #fff;

    text-align: center;
    font-size: 20px;
    font-weight: 600;
}

@media (min-width: 769px) {
    .section-title {
        width: 600px;
        height: 60px;
        margin-bottom: 50px;
        font-size: 24px;
    }
}

/* =========================
   HEADER
========================= */

header {
    width: 100%;
    height: 56px;
    background: #a8d8d8;
}

/* =========================
   SP HEADER
========================= */

@media (min-width: 1024px) {
    .sp_header {
        display: none;
    }
}

/* ハンバーガーボタン */

.menu-btn {
    position: fixed;
    top: 20px;
    right: 30px;

    width: 40px;
    height: 20px;

    background: none;
    border: none;
    cursor: pointer;

    z-index: 1100;
}

.menu-btn span {
    position: absolute;
    left: 0;

    width: 100%;
    height: 7px;

    background: #07567A;

    transition: 0.4s;
}

.menu-btn span:nth-child(1) {
    top: 0;
}

.menu-btn span:nth-child(2) {
    bottom: 0;
}

/* active */

.menu-btn.active span:nth-child(1) {
    top: 6.5px;
    transform: rotate(45deg);
}

.menu-btn.active span:nth-child(2) {
    bottom: 6.5px;
    transform: rotate(-45deg);
}

/* メニュー */

.menu-panel {
    position: fixed;
    top: 0;
    right: -100%;

    width: 100%;
    height: 100dvh;

    background: #83C5C6;

    display: flex;
    justify-content: center;

    transition: 0.5s ease;

    z-index: 900;
}

.menu-panel.active {
    right: 0;
}

.menu-panel ul {
    margin-top: 10dvh;
    list-style: none;
}

.menu-panel li {
    margin: 25px 0;
}

.menu-panel a {
    color: #fff;
    font-size: 1.5rem;
    font-weight: 600;
    letter-spacing: 2px;
    line-height: 4rem;
}

/* =========================
   PC HEADER
========================= */

.pc_header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;

    height: clamp(70px, 5vw, 100px);

    background: #98cfd0;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 0 3vw;

    z-index: 1000;
}

@media (max-width: 1023px) {
    .pc_header {
        display: none;
    }
}

.header_logo img {
    width: 25vw;
    max-width: 300px;
}

.header_nav ul {
    display: flex;
    align-items: center;
    gap: 3vw;

    list-style: none;
}

.header_nav a {
    color: #1e7b7e;

    font-size: clamp(14px, 1.2vw, 20px);
    font-weight: 500;

    transition: 0.3s;
}

.header_nav a:hover {
    opacity: 0.7;
}

/* =========================
   HERO
========================= */

.hero {
    position: relative;

    width: 100%;
    height: 90dvh;

    overflow: hidden;

    color: #fff;
    text-align: center;

    margin-bottom: 0;
}

@media (min-width: 769px) {
    .hero {
        height: 100dvh;
    }
}

.hero-image {
    position: absolute;
    inset: 0;
    background-size: cover;
    background-position: center;
    opacity: 0;
    animation: fadeSwitch 12s infinite;
}

/* image 1 */

.img1 {
    background-image: url("../img/top_mo1.png");
    animation-delay: 0s;
}

@media (min-width: 769px) {
    .img1 {
        background-image: url("../img/top_pc1.png");
    }
}

/* image 2 */

.img2 {
    background-image: url("../img/top_mo2.png");
    animation-delay: 6s;
}

@media (min-width: 769px) {
    .img2 {
        background-image: url("../img/top_pc2.png");
    }
}

/* animation */

@keyframes fadeSwitch {
    0% {
        opacity: 0;
    }

    25% {
        opacity: 1;
    }

    50% {
        opacity: 1;
    }

    75% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

.hero-inner {
    position: relative;
    z-index: 2;

    height: 85dvh;
    padding-top: 30dvh;
}

.hero h1 {
    font-size: 32px;
    font-weight: 600;
}

.hero p {
    margin-top: 6dvh;

    font-size: 18px;
    font-weight: 500;
    line-height: 2;
}

.hero small {
    position: absolute;
    top: 55dvh;
    left: 50%;

    transform: translateX(-50%);

    display: block;
    width: fit-content;

    font-size: 11px;
    letter-spacing: .2em;
}

.hero small img {
    width: 40vw;
    max-width: 200px;
}

@media (min-width: 769px) {
    .hero h1 {
        font-size: 35px;
    }

    .hero p {
        font-size: 24px;
    }

    .hero small img {
        width: 200px;
    }
}

/* =========================
   CTA
========================= */

.cta {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 100;
    height: 68px;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

@media (min-width: 769px) {
    body {
        padding-bottom: 0;
    }

    .cta {
        width: 400px;
        left: auto;
        right: 0;
        bottom: 0;
    }
}

.cta a {
    padding: 20px 0;

    color: #fff;
    text-align: center;
    font-size: 20px;
}

.cta a:first-child {
    background: #e1c066;
}

.cta a:last-child {
    background: #0f5970;
}

/* =========================
   ABOUT
========================= */

.about_us {
    width: fit-content;
    margin-top: 80px;
}

.lead {
    color: #c28d2d;

    font-size: 16px;
    font-weight: 600;
    line-height: 2.2;
}

.lead.induction {
    margin-top: 90px;

    text-align: center;
    font-size: 18px;
}

.lead.fade_up {
    opacity: 0;
    transform: translateY(50px);

    transition: 1s ease;
}

.lead.fade_up.second {
    transition: 1.4s ease;
}

.lead.fade_up.third {
    transition: 1.8s ease;
}

.lead.fade_up.fourth {
    transition: 2.2s ease;
}

.lead.fade_up.show {
    opacity: 1;
    transform: translateY(0);
}

/* =========================
   MENU
========================= */

.menu {
    max-width: 1200px;
}

.thumbnail {
    aspect-ratio: 4 / 3;
    overflow: hidden;
}

.thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.recommend {
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;

    max-width: 1200px;
    margin: 0 auto;
}

@media (min-width: 768px) {
    .recommend {
        grid-template-columns: repeat(2, 1fr);
        grid-template-columns: repeat(2, 350px);
        justify-content: center;
    }
}

@media (min-width: 1024px) {
    .recommend {
        grid-template-columns: repeat(3, 1fr);
    }
}

.card {
    position: relative;
    display: flex;
    flex-direction: column;
    background: #fbf7dc;

    aspect-ratio: 1 / 1;
    overflow: hidden;

    max-width: 350px;
    width: 100%;

    margin: auto;
}

.card img {
    aspect-ratio: 4 / 3;

    width: 100%;
    height: auto;
}

.card h3 {
    text-align: center;
    font-size: clamp(14px, 1.4vw, 18px);
    line-height: 30px;
}

.card p {
    text-align: center;
    font-size: 12px;
}

.badge {
    position: absolute;
    top: 0;
    right: 0;
}

.card_body {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* =========================
   TOPICS
========================= */

.topics {
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
    justify-items: center;
    max-width: 1230px;
    margin: auto;
}

@media (min-width: 768px) {
    .topics {
        grid-template-columns: repeat(2, 320px);
        justify-content: center;
    }

    .topics:has(.card_tp:only-child) {
        grid-template-columns: 1fr;
    }
}

@media (min-width: 1024px) {
    .topics {
        grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
        justify-content: center;
    }
}

.card_tp {

    width: 100%;
    max-width: 300px;

    background: #fbf7dc;

    overflow: hidden;
    aspect-ratio: 1 / 1;
}

.card_tp_link {
    display: block;
    color: inherit;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.card_tp_img {
    aspect-ratio: 4 / 3;
    overflow: hidden;
}

.card_tp_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card_tp_body {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    text-align: center;
    font-size: 16px;
    line-height: 1.6;
}

.card_tp_title {
    font-weight: 600;
}


.card_tp_body p {
    font-size: 14px;
    line-height: 1.6;
}

.card_tp_excerpt {
    line-height: 1.7;
    color: #666;

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

/* =========================
   ACCESS
========================= */

.access {
    margin-bottom: 10px;

    text-align: center;
    font-size: 20px;
    font-weight: 600;
}

.shop_info p {
    margin-bottom: 24px;

    text-align: center;
    font-size: 14px;
}

.map {
    background: #fff;
}

.map p {
    width: fit-content;
    margin: 0 auto;

    text-align: left;
}

.map_img {
    display: block;

    width: 100%;
    max-width: 600px;

    margin: 0 auto 30px;
}

.map_btn {
    display: block;

    max-width: 200px;

    margin: 30px auto 0;
    padding: 15px 0;

    background: #0f5970;
    border-radius: 20px;

    color: #fff;
    text-align: center;
    font-size: 1rem;
}

/* =========================
   INSTAGRAM
========================= */

.instagram {
    max-width: 900px;
    /* height: 120vw;
    max-height: 1200px; */
}

.insta {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 6px;
}

.insta_cont {
    width: 100%;
    aspect-ratio: 1 / 1;
}

.insta_cont img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* =========================
   FOOTER
========================= */

.footer {
    width: 100%;
    height: 350px;
    margin-top: 120px;
    padding-top: 24px;
    background: #87c3c5;
    color: #fff;
    text-align: center;
    bottom: 0;
}

.footer_nav {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.nav_row {
    display: flex;
    justify-content: center;
    gap: 28px;

    list-style: none;
}

.footer_nav a {
    color: #fff;
    font-size: 16px;
}

.footer_logo {
    width: fit-content;
    margin: auto;
}

.footer_address {
    margin: 20px 0 50px;

    font-style: normal;
    font-size: 16px;
    line-height: 1.8;
}